io.agora.rtc

## Class AgoraRtmpStreamingService

- java.lang.Object
- - io.agora.rtc.AgoraRtmpStreamingService

-     public class AgoraRtmpStreamingService
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private IRtmpStreamingObserver` | `_RtmpStreamingObserver`
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraRtmpStreamingService(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addPublishStreamUrl(java.lang.String url, int transcoding_enabled)`
    `void` | `destroy()`
    `private void` | `ndestroy()`
    `int` | `registerObserver(IRtmpStreamingObserver observer)`
    `int` | `removePublishStreamUrl(java.lang.String url)`
    `int` | `setLiveTranscoding(LiveTranscoding transcoding)`
    `int` | `unregisterObserver(IRtmpStreamingObserver observer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

    - #### _RtmpStreamingObserver

          private IRtmpStreamingObserver _RtmpStreamingObserver

  - ### Constructor Detail

    - #### AgoraRtmpStreamingService

          public AgoraRtmpStreamingService(long cptr)

  - ### Method Detail

    - #### ndestroy

          private void ndestroy()

    - #### destroy

          public void destroy()

    - #### addPublishStreamUrl

          public int addPublishStreamUrl(java.lang.String url,
                                         int transcoding_enabled)

    - #### removePublishStreamUrl

          public int removePublishStreamUrl(java.lang.String url)

    - #### setLiveTranscoding

          public int setLiveTranscoding(LiveTranscoding transcoding)

    - #### registerObserver

          public int registerObserver(IRtmpStreamingObserver observer)

    - #### unregisterObserver

          public int unregisterObserver(IRtmpStreamingObserver observer)